Subject: Re: + e1000e-prevent-corruption-of-eeprom-nvm.patch added to -mmtree

From: Christopher Li <[email-masked]>
Date: Tue, 2 Sep 2008 19:48:02 -0700

On Tue, Sep 02, 2008 at 05:32:26PM -0700, Brandeburg, Jesse wrote:
> yes, since we issue a full reset and at least 2) above executes.  The
> corruption really shouldn't be writing to the eeprom in any way shape or
> form, but if it is we really need to fix the root cause of the bug, not
> just lock on either side of one of the cases which appears to cause the
> problem.
> 
> We are definitely investigating, please help us reproduce it if you can.

Sorry I am late to the discussion.

Can you try to have one process loop on reading the eeprom and
have another process loop on loading/unloading the e1000 driver?
That is the procedure we use in house to reproduce the bug and
verify the fix. It does not happen to every e1000 NICs. We need to
acquired the e1000 NICs from our customer who experienced the
problem. I am not surprised that there is some thing going on
with the hardware eeprom semaphore.

We just try to help when Andrew ask about this bug. I am not
a network driver developer either. Now you know as much as I
do, good luck with the repro. 

Chris